/* Custom properties */
:root {
    --black: #151515;
    --black-90: rgba(21, 21, 21, .9);
    --black-75: rgba(21, 21, 21, .75);
    --black-50: rgba(21, 21, 21, .5);
    --bg-1: #E3CFCF;
    --bg-2: #E9E9E9;
    --accent: #E36262;
    --primary-ff: 'EB Garamond', Georgia, serif;
    --secondary-ff: 'Montserrat', Helvetica, sans-serif;
}

/* Typography */
body {
    font-family: var(--primary-ff);
    color: var(--black-90);
}

h1 {
    font-size: 58px;
    line-height: 85px;
}

h2 {
    font-size: 45px;
    line-height: 67px;
    font-weight: 400;
}

h3 {
    font-size: 1.6rem;
    font-weight: 400;
    font-family: Xenois, sans-serif;
}

p {
    font-size: 22px;
    line-height: 36px;
    color: var(--black-90);
}

a {
    color: var(--black);
}

a:hover {
    color: var(--accent);
}

/* Header */
#main-header {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4rem;
    padding: 10rem 4rem;
}

#main-header img {
    max-width: 100%;
    height: auto;
}

p.intro {
    font-family: var(--secondary-ff);
    text-transform: uppercase;
    letter-spacing: 5px;
    color: var(--black-50);
}

/* Sections */
.padded {
    padding: 7.5rem;
}

#about {
    background-color: var(--bg-1);
}

#slider-2 {
    padding-bottom: 1rem;
    
}

/* Container */
.container {
    max-width: 46rem;
    margin: auto;
}

.container.wide {
    max-width: 100%;
    padding: 0 4rem;
}





/* Responsive */
@media screen and (max-width: 800px) {
    .padded,
    #main-header {
        padding: 4rem;
    }
}

/* Swiper */
.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.swiper-slide figure {
    position: relative;
    margin: 0;
    height: 30rem;
    
    /* overflow: hidden; */
}
.caption {
    text-align: center;
    /* margin-top: 50px; */
    /* background-color: rgba(227, 98, 98, 0.3); */
    font: normal 1rem/1.2rem Arial, sans-serif;
    height: 80px;
    display: flex;
    flex-flow:column;
    margin-top: 5px;
}

.swiper-slide figcaption {
    position: absolute;
    bottom: -3rem;
    color: #333;
    font-size: 16px;
    font-family: var(--secondary-ff);
    line-height: 29px;
    /* background-color: var(--black); */
    /* background-color: rgba(21, 21, 21, .5); */
    display: flex;
    justify-content: center;
    gap: .5rem;
    border-radius: .5rem .5rem 0 0;
    padding: 1rem 2rem;
    left: 34%;
    width: 90%;
    
    transform: translate3d(-50%, 100%, 0);
    opacity: 0;
    transition: all .3s ease-in-out;
}


/* .swiper-slide-active figcaption */
.swiper-slide figcaption {
    transform: translate3d(-50%, 0, 0);
    opacity: 1;
}

.swiper-slide figcaption img {
    width: auto;
    height: auto;
    object-fit: contain;
}


#swiper-1 .swiper-pagination {
    bottom: 0;
    /* display: none; */
}

#swiper-1 .swiper-pagination-bullet {
    margin: 0 .5rem;
    opacity: 1;
    background-color: var(--black-75);
    width: .75rem;
    height: .75rem;
}

#swiper-1 .swiper-pagination-bullet-active {
    background-color: var(--accent);
}

.swiper-custom-nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    z-index: 10;
    padding: 0 2rem;
    display: flex;
    justify-content: space-between;
    width: 100%;
    box-sizing: border-box;
}

.swiper-custom-nav svg {
    cursor: pointer;
    opacity: .6;
    transition: all .3s ease-in-out;
    color:#ffffff;
    
}

.swiper-custom-nav svg:hover {
    opacity: .8;
}
.swiper-custom-nav svg {
    cursor: pointer;
    opacity: .6;
    transition: all .3s ease-in-out;
}

.swiper-custom-pagination {
    display: flex;
    width: 100%;
    padding-top: 2rem;
    justify-content: center;
    gap: 1rem;
    font-family: var(--secondary-ff);
    font-size: 17px;
    line-height: 29px;
    font-weight: 500;
    color: var(--black);
}

.swiper-custom-pagination .swiper-pagination-bullet {
    width: auto;
    height: auto;
    border-radius: 0;
    background-color: transparent;
    opacity: 1;
    text-align: center;
}

.swiper-custom-pagination .number {
    opacity: 0;
    transition: all .3s ease-in-out;
}

.swiper-custom-pagination .line {
    opacity: 0;
    height: .25rem;
    width: .75rem;
    background-color: var(--black);
    display: block;
    border-radius: 4px;
    transition: all .3s ease-in-out;
}

.swiper-custom-pagination .swiper-pagination-bullet-active .number,
.swiper-custom-pagination .swiper-pagination-bullet-active .line {
    opacity: 0;
}

.swiper-custom-pagination .swiper-pagination-bullet-active .line {
    width: 2rem;
}


@media screen and (max-width: 1400px) {
    .swiper-slide img {
        height: 30rem;
        width: 100%;
        
        
    }
    .swiper-slide figure {
        width: 75vw;
        background-color: rgb(255, 255, 255);
        height: 36rem;
    }

    .swiper-slide figcaption {
        left: 25%;
        /* transform: none; */
        width: 100%;
        border-radius: 0;
        bottom: -3rem;
        /* background-color: var(--black-90); */
    }
    #swiper-1 .swiper-pagination {
        bottom: 1.6rem;
        
    }

    .swiper-slide figcaption {
        left: 35%;
        
    }
    .container.wide {
        max-width: 100%;
        height: 30rem;
        padding: 0;
    }
    .caption {
        height: 90px;
    }
    #swiper-2 .swiper-wrapper .swiper-slide > figure > a > img {
        height: 570px;
        margin: 0 17px;
    }
    
    /* #swiper-2 .swiper-wrapper .swiper-slide > figure > figcaption {
        text-align: center;
    } */
    #swiper-2 .swiper-slide figure {
        display: flex;
        flex-flow: column;
        justify-content: center;
    }
    #swiper-2 .swiper-slide figure > figcaption {
        justify-content: center;
    }
    #slider-2 {
        padding-bottom: 4rem;
        
    }
    
    
}

@media screen and (max-width: 800px){
    .swiper-slide img {
        height: 75vh; 
        max-width: 100%;
        
    }
    .swiper-slide figcaption {
        left: 42%;
        
    }
    
}
/* +++ 500px +++ */
@media screen and (max-width: 500px) {
    .swiper-slide img {
        height: 20rem;
    }
    .swiper-slide figure {
        height: 17rem;
    }
    /* .main {
        max-height: 66vh;
    } */
    .container.wide {
        height: 14rem;
    }
    #slider-2 {
        padding-bottom: 4rem;
    }
    .swiper-custom-nav svg {
        color:#333;
        opacity: 0.4;
        width: 32px;

    }
    .swiper-custom-nav {
        top: 95%;
        padding: 0 1rem;
    }

        
    #swiper-2 .swiper-wrapper .swiper-slide > figure > a > img {
        height: 270px;
        margin: 12px;
    }
    

}